Skip to main content
GET
/
contacts
/
{contactId}
Get a contact by ID
curl --request GET \
  --url https://messenger-public-api.cogfy.com/contacts/{contactId} \
  --header 'api-key: <api-key>'
import requests

url = "https://messenger-public-api.cogfy.com/contacts/{contactId}"

headers = {"api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'api-key': '<api-key>'}};

fetch('https://messenger-public-api.cogfy.com/contacts/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "waId": "<string>",
  "waProfileName": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "occupation": "<string>",
  "gender": "<string>",
  "birthDate": "2023-12-25",
  "age": 123,
  "notes": "<string>",
  "createDate": "2023-11-07T05:31:56Z",
  "updateDate": "2023-11-07T05:31:56Z",
  "customProperties": {
    "Favorite Color": "Blue"
  }
}

Authorizations

api-key
string
header
required

Path Parameters

contactId
string
required

Response

200 - application/json

A contact

id
string<uuid>
workspaceId
string<uuid>
statusId
string<uuid> | null
waId
string | null
waProfileName
string | null
firstName
string | null
lastName
string | null
email
string<email> | null
phone
string | null
occupation
string | null
gender
string | null
birthDate
string<date> | null
age
integer | null
notes
string | null
createDate
string<date-time>
updateDate
string<date-time>
customProperties
object

Custom properties associated with the contact

Example:
{ "Favorite Color": "Blue" }